module git.maze.io/ham/hamview

go 1.25.6

require (
	git.maze.io/go/ham v0.0.0-20260222201625-824bde5d5525
	github.com/Vaniog/go-postgis v0.0.0-20240619200434-9c2eb8ed621e
	github.com/cemkiy/echo-logrus v0.0.0-20200218141616-06f9cd1dae34
	github.com/cridenour/go-postgis v1.0.1
	github.com/eclipse/paho.mqtt.golang v1.5.1
	github.com/golang-jwt/jwt/v5 v5.3.1
	github.com/labstack/echo/v4 v4.15.0
	github.com/lib/pq v1.11.2
	github.com/sirupsen/logrus v1.9.4
	github.com/tarm/serial v0.0.0-20180830185346-98f6abe2eb07
	github.com/urfave/cli/v3 v3.6.2
	go.yaml.in/yaml/v3 v3.0.4
)

require (
	filippo.io/edwards25519 v1.1.0 // indirect
	github.com/gorilla/websocket v1.5.3 // indirect
	github.com/kr/pretty v0.3.0 // indirect
	github.com/labstack/gommon v0.4.2 // indirect
	github.com/mattn/go-colorable v0.1.14 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/rogpeppe/go-internal v1.8.0 // indirect
	github.com/valyala/bytebufferpool v1.0.0 // indirect
	github.com/valyala/fasttemplate v1.2.2 // indirect
	golang.org/x/crypto v0.48.0 // indirect
	golang.org/x/net v0.49.0 // indirect
	golang.org/x/sync v0.19.0 // indirect
	golang.org/x/sys v0.41.0 // indirect
	golang.org/x/text v0.34.0 // indirect
	golang.org/x/time v0.14.0 // indirect
	gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15 // indirect
)
